package org.diagbot.graph;

import org.diagbot.pub.jdbc.MysqlJdbc;
import org.diagbot.pub.utils.security.EncrypDES;

import java.io.FileWriter;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;

public class CacheFile {
    public static void main(String[] args) {
        CacheFile cacheFile = new CacheFile();
        cacheFile.sexAge();
    }
    //诊断和性别,年龄的对应
    public void sexAge(){
        MysqlJdbc nlpJdbc = new MysqlJdbc("root", "diagbot@20180822", "jdbc:mysql://192.168.2.235:3306/med-s?useUnicode=true&characterEncoding=UTF-8");
        Connection conn = nlpJdbc.connect();
        Statement st = null;
        ResultSet rs = null;
        try {
            EncrypDES encrypDES = new EncrypDES();//加密对象
            String path = this.getClass().getClassLoader().getResource("").getPath();
            path = path.substring(0, path.indexOf("target"));
            String sql = "SELECT k1.lib_name, k1.lib_type, kcc.sex_type, kcc.min_age, kcc.max_age \n" +
                    "FROM kl_concept_common kcc, kl_concept k1 \n" +
                    "where kcc.concept_id = k1.id \n" +
                    "and k1.lib_type in (18)";
            st = conn.createStatement();
            rs = st.executeQuery(sql);
            FileWriter fw = new FileWriter(path + "src/main/resources/sexAge.dict");
            String r1, r2 ,r3,r4;
            while (rs.next()) {
                r1 = rs.getString(1);//诊断名
                r2 = rs.getString(3);//sexType 1:男 2:女 3:都可以
                r3 = rs.getString(4);//min_age
                r4 = rs.getString(5);//max_age
                fw.write(encrypDES.encrytor(r1 + "|" + r2+ "|" + r3+ "|" + r4));
                fw.write("\n");
            }
            fw.close();
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            nlpJdbc.close(rs, st, conn);
        }
    }

    //标签类型对应
    public void contentMaping()  {
        MysqlJdbc nlpJdbc = new MysqlJdbc("root", "diagbot@20180822", "jdbc:mysql://192.168.2.235:3306/med-s?useUnicode=true&characterEncoding=UTF-8");
        Connection conn = nlpJdbc.connect();
        Statement st = null;
        ResultSet rs = null;
        try {
            EncrypDES encrypDES = new EncrypDES();//加密对象
            String path = this.getClass().getClassLoader().getResource("").getPath();
            path = path.substring(0, path.indexOf("target"));
            String sql = "SELECT id,name FROM `kl_lexicon`";
            st = conn.createStatement();
            rs = st.executeQuery(sql);
            FileWriter fw = new FileWriter(path + "src/main/resources/lexicon.dict");
            String r1, r2;
            while (rs.next()) {
                r1 = rs.getString(1);
                r2 = rs.getString(2);
                fw.write(encrypDES.encrytor(r1 + "|" + r2));
                fw.write("\n");
            }
            fw.close();
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            nlpJdbc.close(rs, st, conn);
        }
    }
}
